PairWindow
Keywords: org.p2c2e.zing.PairWindow class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.p2c2e.zing
Class PairWindow

    java.lang.Object
      org.p2c2e.zing.Window
          org.p2c2e.zing.PairWindow

All Implemented Interfaces:
  java.lang.Comparable, java.util.EventListener, java.awt.event.MouseListener

public class PairWindow
extends Window

Field Summary
`Window` | `first`
`Window` | `second`

Fields inherited from class org.p2c2e.zing.Window
`ABOVE, BELOW, BLANK, FIXED, GRAPHICS, LEFT, PAIR, PROPORTIONAL, RIGHT, root, TEXT_BUFFER, TEXT_GRID`

Method Summary
`Stream.Result` | `closeStream()`
`protected void` | `doLayout()`
`int` | `getKeyWindowSize()`
`int` | `getSplitMethod()`
`int` | `getWindowHeight()`
`protected int` | `getWindowType()`
`int` | `getWindowWidth()`
`protected void` | `rearrange(java.awt.Rectangle r)`
`protected void` | `restyle(boolean useHints)`
`void` | `setArrangement(int method, int size, Window keywin)`

Methods inherited from class org.p2c2e.zing.Window
`cancelCharacterInput, cancelLineInput, cancelMouseInput, clear, close, compareTo, createHintedStyle, createHintedStyles, focusHighlight, getEchoStream, getParent, getSibling, getSplit, getStream, getStyleMap, handleKey, isFocusStealable, isRequestingKeyboardInput, measureStyle, mouseClicked, mouseEntered, mouseExited, mousePressed, mouseReleased, putChar, putString, requestCharacterInput, requestLineInput, requestMouseInput, setEchoStream, setStyle, split, unfocusHighlight`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### first

    public Window first

### second

    public Window second

Method Detail

### restyle

    protected void restyle(boolean useHints)

  Overrides:
    `restyle` in class `Window`

### getWindowType

    protected int getWindowType()

  Overrides:
    `getWindowType` in class `Window`

### getWindowWidth

    public int getWindowWidth()

  Overrides:
    `getWindowWidth` in class `Window`

### getWindowHeight

    public int getWindowHeight()

  Overrides:
    `getWindowHeight` in class `Window`

### doLayout

    protected void doLayout()

  Overrides:
    `doLayout` in class `Window`

### getSplitMethod

    public int getSplitMethod()

### getKeyWindowSize

    public int getKeyWindowSize()

### setArrangement

    public void setArrangement(int method,
                               int size,
                               Window keywin)

### rearrange

    protected void rearrange(java.awt.Rectangle r)

  Specified by:
    `rearrange` in class `Window`

### closeStream

    public Stream.Result closeStream()

  Overrides:
    `closeStream` in class `Window`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD